/*****************************************************************************/


import java.applet.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;
import java.util.*;
import java.awt.geom.*;

/*****************************************************************************/

class Fenetre extends JFrame
	{
        public Fenetre(String titre)
        	{
                super(titre);
                Container c = getContentPane();
                c.setLayout(new BorderLayout());

                CadreImage image = new CadreImage();
                c.add(image, "Center");

                CadreChoix choix = new CadreChoix(image);
                c.add(choix, "South");

                CadrePeon peon = new CadrePeon();
                c.add(peon, "North");
                }
      	}

/*****************************************************************************/

class CadreChoix extends JPanel implements ActionListener
	{
        CadreImage image;
        JButton arme1 = new JButton(Lang.arme);
        JButton arme2 = new JButton(Lang.nArme);

        public CadreChoix(CadreImage image)
        	{
                this.image = image;

                setLayout(new FlowLayout());


                arme1.addActionListener(this);
                add(arme1);

                arme2.addActionListener(this);
                add(arme2);
                }
        /*
        public CadreChoix()
        	{
                setLayout(new FlowLayout());

	        JComboBox coulTenue = new JComboBox(Lang.liste_coulTenue);
	        add(coulTenue);

	        JCheckBox arme = new JCheckBox(Lang.arme, false);
        	add(arme);

                JButton ok = new JButton("OK");
                add(ok);
                }
        */
        public void actionPerformed(ActionEvent e)
        	{
                if(e.getSource()==arme1)
                	{
                        image.setImage(FImages.peon_R_H, 133, 20);
                        image.repaint();
                	}
                else if(e.getSource()==arme2)
                	{
                        image.setImage(FImages.peon_R_N, 133, 20);
                        image.repaint();
                        }
                }
        }

/*****************************************************************************/

class CadrePeon extends JPanel
	{
        public CadrePeon()
                {
                setLayout(new FlowLayout());

                JLabel peonT = new JLabel(Lang.votrePeon);
                add(peonT);
                }
        }

/*****************************************************************************/

class CadreImage extends JPanel
	{
        Image img = Toolkit.getDefaultToolkit().getImage("peon.gif");
        int positionX = 120;
        int positionY = 7;
        public CadreImage()
                {
                }

    	public void paint(Graphics g)
        	{
                g.fillRect(0, 0, BarbiePeon.largeurFenetre, BarbiePeon.hauteurFenetre);
                g.drawImage(img, positionX, positionY, this);
                }

	public void setImage(Image img, int positionX, int positionY)
        	{
                this.img = img;
                this.positionX = positionX;
                this.positionY = positionY;
                }
        }

/*****************************************************************************/

public class BarbiePeon
	{
        static int largeurFenetre = 300;
        static int hauteurFenetre = 170;

        public static void main(String[] args)
        	{
                JOptionPane.showMessageDialog(null, Lang.about_message, Lang.about_titre, JOptionPane.INFORMATION_MESSAGE);
                Fenetre fen = new Fenetre(Lang.fenTitre);
                fen.setBounds(150, 200, largeurFenetre, hauteurFenetre);
                fen.setVisible(true);
                }
        }

/*****************************************************************************/

class Lang
        {
        /* dans BarbiePeon */
        static String fenTitre = "Barbie-Peon (Beta version 0.1)";
        static String about_titre = "About "+fenTitre;
        static String about_message = "Barbie-Peon est un logiciel indispenssable par excellence ! "+
        	" En effet, il permet d'habiller des peons, comme de vraies poupes !"+
                "\n\nLiscence d'utilisation : \n"+
                "- Ce logiciel est (trs)Cherware. "+
                "Si vous l'utilisez plus d e10 secondes, "+
                "merci de m'envoyer un chque de 75238  l'addresse suivante :\n"+
                "\n     Darathor Le Grand Mage"+
                "\n     Tour de Haute Socellerie"+
                "\n     666 Ncroville";

        /* dans CadreChoix */
        static String[] liste_coulTenue = {"Bleu", "Rouge", "Jaune", "Violet"/*, "Nu"*/};
        static String arme = "Arm";
        static String nArme = "Non arm";

        /* dans CadrePeon */
        static String votrePeon = "Votre peon :\n";
        }

/*****************************************************************************/

class FImages
	{
        static Image peonTete = Toolkit.getDefaultToolkit().getImage("peon.gif");
        static Image peon_R_N = Toolkit.getDefaultToolkit().getImage("peon_r_n.gif");
        static Image peon_R_H = Toolkit.getDefaultToolkit().getImage("peon_r_h.gif");
        }

/*****************************************************************************/
